import sys
import locale
import urllib
import urlparse

import xbmc
import xbmcgui
import xbmcplugin

import youtube

CHANNEL_ID = 'UCV6HJBZD_hZcIX9JVJ3dCXQ'

base_url = sys.argv[0]
addon_handle = int(sys.argv[1])

args = urlparse.parse_qs(sys.argv[2][1:])
mode = args.get('mode', None)

def build_url(query):
    return base_url + '?' + urllib.urlencode(query)

if mode is None:
    li = xbmcgui.ListItem('Safari Live Stream Youtube', iconImage = 'special://home/addons/plugin.video.safarilive/safari.png')

    video_id = youtube.get_live_video_id_from_channel_id(CHANNEL_ID)
    li.setProperty('isPlayable', 'true')
    url = "plugin://plugin.video.youtube/play/?video_id=%s" % video_id
    xbmcplugin.addDirectoryItem(addon_handle, url, li,)

    li = xbmcgui.ListItem('Safari Live Stream IP', iconImage = 'special://home/addons/plugin.video.safarilive/safari.png')
    li.setProperty('isPlayable', 'true')
    url = "http://206.190.128.252:1935/abs-edge/smil:wil-safari-01-abs.smil/playlist.m3u8"
    xbmcplugin.addDirectoryItem(addon_handle, url, li)

    li = xbmcgui.ListItem('Safari Mediathek Youtube', iconImage = 'special://home/addons/plugin.video.safarilive/safari.png')
    url = "plugin://plugin.video.youtube/channel/%s/" % CHANNEL_ID
    xbmcplugin.addDirectoryItem(addon_handle, url, li, True)

    li = xbmcgui.ListItem('Djuma Waterhole', iconImage = 'special://home/addons/plugin.video.safarilive/afrika.png')
    li.setProperty('isPlayable', 'true')
    url = "http://206.190.128.252:1935/rtsp-distribution/dju-waterhole-02.stream/playlist.m3u8"
    xbmcplugin.addDirectoryItem(addon_handle, url, li)

    li = xbmcgui.ListItem('Arathusa Lodge', iconImage = 'special://home/addons/plugin.video.safarilive/afrika.png')
    li.setProperty('isPlayable', 'true')
    url = "http://206.190.128.252:1935/rtsp-distribution/art-cam-01.stream/playlist.m3u8"
    xbmcplugin.addDirectoryItem(addon_handle, url, li)

    li = xbmcgui.ListItem('Naledi Cat-EYE', iconImage = 'special://home/addons/plugin.video.safarilive/afrika.png')
    li.setProperty('isPlayable', 'true')
    url = "http://stream.africam.com:1935/ce/ce.stream/playlist.m3u8"
    xbmcplugin.addDirectoryItem(addon_handle, url, li)

    li = xbmcgui.ListItem('Naledi Rosies Waterhole', iconImage = 'special://home/addons/plugin.video.safarilive/afrika.png')
    li.setProperty('isPlayable', 'true')
    url = "http://stream.africam.com:1935/na/na.stream/playlist.m3u8"
    xbmcplugin.addDirectoryItem(addon_handle, url, li)

    li = xbmcgui.ListItem('Naledi Olifant River', iconImage = 'special://home/addons/plugin.video.safarilive/afrika.png')
    li.setProperty('isPlayable', 'true')
    url = "http://stream.africam.com:1935/rc/rc.stream/playlist.m3u8"
    xbmcplugin.addDirectoryItem(addon_handle, url, li)

    li = xbmcgui.ListItem('Nkorho Pan', iconImage = 'special://home/addons/plugin.video.safarilive/afrika.png')
    li.setProperty('isPlayable', 'true')
    url = "http://stream.africam.com:1935/nk/nk.stream/playlist.m3u8"
    xbmcplugin.addDirectoryItem(addon_handle, url, li)

    li = xbmcgui.ListItem('Idube', iconImage = 'special://home/addons/plugin.video.safarilive/afrika.png')
    li.setProperty('isPlayable', 'true')
    url = "http://stream.africam.com:1935/id/id.stream/playlist.m3u8"
    xbmcplugin.addDirectoryItem(addon_handle, url, li)

    li = xbmcgui.ListItem('Tembe', iconImage = 'special://home/addons/plugin.video.safarilive/afrika.png')
    li.setProperty('isPlayable', 'true')
    url = "http://stream.africam.com:1935/tm/tm.stream/playlist.m3u8"
    xbmcplugin.addDirectoryItem(addon_handle, url, li)

    li = xbmcgui.ListItem('Maritane Waterhole', iconImage = 'special://home/addons/plugin.video.safarilive/afrika.png')
    li.setProperty('isPlayable', 'true')
    url = "http://206.190.128.252:1935/rtsp-distribution/kwa-cam-01.stream/playlist.m3u8"
    xbmcplugin.addDirectoryItem(addon_handle, url, li)

    li = xbmcgui.ListItem('Mashatu Waterhole', iconImage = 'special://home/addons/plugin.video.safarilive/afrika.png')
    li.setProperty('isPlayable', 'true')
    url = "http://206.190.138.100:1935/rtsp-distribution/ppm-cam-01.stream/playlist.m3u8"
    xbmcplugin.addDirectoryItem(addon_handle, url, li)



xbmcplugin.endOfDirectory(addon_handle)
